> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the supplier sub-resource for a style.

> Cardinality 1 -- returns the supplier's name, customId, country, and contact person (name/email/status), resolved via the style's own SupplierOrganizationId/SupplierContactPersonId. Returns a 200 with a null data payload when the style has no supplier. 404 if the style doesn't belong to the caller's org.



## OpenAPI

````yaml https://service.my.delogue.com/openapi/external.json get /api/styles/{styleId}/supplier
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/styles/{styleId}/supplier:
    get:
      tags:
        - StyleContacts
      summary: Gets the supplier sub-resource for a style.
      description: >-
        Cardinality 1 -- returns the supplier's name, customId, country, and
        contact person (name/email/status), resolved via the style's own
        SupplierOrganizationId/SupplierContactPersonId. Returns a 200 with a
        null data payload when the style has no supplier. 404 if the style
        doesn't belong to the caller's org.
      parameters:
        - name: styleId
          in: path
          required: true
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleSupplierDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleSupplierDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStyleSupplierDto'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    ApiResponseOfStyleSupplierDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StyleSupplierDto'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ApiResponseStatus: {}
    StyleSupplierDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        customId:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
        country:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CountryDto'
        contactPerson:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ContactPersonDto'
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    CountryDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        name:
          type:
            - 'null'
            - string
        customId:
          type:
            - 'null'
            - string
      additionalProperties: false
    ContactPersonDto:
      type: object
      properties:
        name:
          type:
            - 'null'
            - string
        email:
          type:
            - 'null'
            - string
        status:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/ContactPersonStatusDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    ContactPersonStatusDto: {}

````